- Qt 6.8
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- PointSize
- Qt 6.8.2 Reference Documentation

# PointSize QML Type

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Import Statement: | `import Qt3D.Render 2.8`
In C++: | QPointSize
Inherits: | RenderState
Status: | Deprecated

- List of all members, including inherited members

## Properties

- sizeMode : enumeration
- value : real

## Detailed Description

When the sizeMode property is set to SizeMode::Fixed, the value is set using glPointSize(), if available. When using SizeMode::Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Property Documentation

sizeMode : enumeration

Specifies the sizeMode to be used.

value : real

Specifies the point size value to be used.